Name:           purple-plugin_pack
Version:        2.6.3
Release:        7%{?dist}
Summary:        A set of plugins for libpurple, pidgin, and finch

Group:          Applications/Internet
License:        GPLv2+
URL:            https://www.guifications.org/projects/purple-plugin-pack/wiki/
Source0:        https://www.guifications.org/attachments/download/135/purple-plugin_pack-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  pidgin-devel xmms-devel perl(XML::Parser) gettext-devel
BuildRequires:  enchant-devel gtkspell-devel
BuildRequires:  diffutils intltool
#Requires:       
Provides:       purple-plugin-pack

%description
This package contains a number of plugins for use with the purple IM/IRC
library.

%package pidgin
Summary:        A set of plugins for pidgin
Group:          Applications/Internet
Requires:       %{name} = %{version}
Provides:       purple-plugin-pack-pidgin

%description pidgin
This package contains a number of plugins for use with the pidgin client.

%package pidgin-xmms
Summary:        A plugin for pidgin to control xmms
Group:          Applications/Internet
Requires:       %{name} = %{version}
Provides:       purple-plugin-pack-pidgin-xmms

%description pidgin-xmms
This package contains a plugin for pidgin to control xmms.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name \*.la -exec rm {} \;
%find_lang plugin_pack

%clean
rm -rf $RPM_BUILD_ROOT

%files -f plugin_pack.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS
%{_libdir}/purple-2/*.so

%files pidgin
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS
%dir %{_datadir}/pixmaps/pidgin/plugin_pack
%{_datadir}/pixmaps/pidgin/protocols
%{_libdir}/pidgin/[^x]*.so
%{_libdir}/pidgin/xchat-chats.so

%files pidgin-xmms
%defattr(-,root,root,-)
%{_datadir}/pixmaps/pidgin/plugin_pack/xmmsremote
%{_libdir}/pidgin/xmmsremote.so

%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 2.6.3-3
- Rebuild for new libpng

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 04 2011 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 2.6.3-1
- Upstream update

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Nov 20 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 2.4.0-2
- Update Source0 URL

* Tue Oct  7 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 2.4.0-1
- Upstream update
- Extract inner function in switchspell (#462822)

* Sun Apr  6 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 2.3.0-1
- Upstream update

* Thu Feb 14 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 2.2.0-5
- Rebuild for GCC 4.3

* Tue Jan  8 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 2.2.0-4
- Switch from aspell to enchant (#427949)

* Mon Jan  7 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 2.2.0-3
- Switch from gtkspell to aspell

* Thu Nov 15 2007 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 2.2.0-2
- Added provides to other subpackages

* Wed Nov 14 2007 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 2.2.0-1
- Update to 2.2.0
- Add provides of purple-plugin-pack

* Thu Oct  4 2007 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 2.1.1-1
- Initial RPM release
